.header-container {
    background-color: #1f1f1f;
    width: 100%;
    padding: 15px 0;
    text-align: center;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.header-container h1 {
    margin: 0;
    color: #ffffff;
    font-size: 2rem;
    font-weight: bold;
}

nav {
    width: 100%;
    margin-top: 10px;
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

nav ul li {
    margin: 5px 10px;
}

nav ul li a {
    color: #ffffff;
    text-decoration: none;
    font-size: 1rem;
    font-weight: normal;
    transition: color 0.3s ease-in-out;
}

nav ul li a:hover {
    color: #ffcc00;
}

button {
    background: none;
    border: none;
    color: #ffffff;
    font-size: 32px;
    cursor: pointer;
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    height: 40px;
    transition: color 0.3s ease-in-out;
}

button:hover {
    color: #ffcc00;
}

.admin-lock-icon {
    position: absolute;
    right: 20px;
    top: 15px;
    font-size: 1.2rem;
    color: #ffffff;
    transition: color 0.3s ease, transform 0.3s ease;
}

.admin-lock-icon:hover {
    color: #cccccc; /* Couleur plus claire au survol */
    transform: scale(1.1);
}



@media (max-width: 768px) {
    .header-container {
        padding-top: 50px;
    }

    button {
        font-size: 30px;
        top: 10px;
    }

    nav ul {
        flex-direction: column;
        align-items: center;
    }

    nav ul li {
        margin: 5px 0;
    }
}

